%define upstream_name    Carp-Always
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Warns and dies noisily with stack backtraces
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Carp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Base)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module is meant as a debugging aid. It can be used to make a script
complain loudly with stack backtraces when warn()ing or die()ing.

Here are how stack backtraces produced by this module looks:

  # it works for explicit die's and warn's
  $ perl -MCarp::Always -e 'sub f { die "arghh" }; sub g { f }; g'
  arghh at -e line 1
          main::f() called at -e line 1
          main::g() called at -e line 1

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
rm -f t/099pod.t
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.160.0-3.mga8
+ Revision: 1503506
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.160.0-2.mga7
+ Revision: 1281935
- Mageia 7 Mass Rebuild

* Sat Aug 11 2018 tv <tv> 0.160.0-1.mga7
+ Revision: 1251089
- update to 0.16

* Fri Aug 10 2018 tv <tv> 0.150.0-1.mga7
+ Revision: 1250922
- update to 0.15

* Sat Jun 18 2016 pterjan <pterjan> 0.130.0-6.mga6
+ Revision: 1022835
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.130.0-5.mga6
+ Revision: 931089
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 742457
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.130.0-3.mga5
+ Revision: 732845
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-2.mga5
+ Revision: 683740
- Mageia 5 Mass Rebuild

* Mon Dec 23 2013 guillomovitch <guillomovitch> 0.130.0-1.mga4
+ Revision: 560074
- new version 0.13

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 509650
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 363788
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 0.120.0-1.mga3
+ Revision: 285145
- update to 0.12

* Wed Jun 06 2012 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 256104
- update to 0.11

* Mon Dec 05 2011 guillomovitch <guillomovitch> 0.100.0-1.mga2
+ Revision: 176882
- imported package perl-Carp-Always


* Mon Dec 05 2011 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
